function print_help() {
	echo "------"
	echo "Usage:$0 [CABLE ID] [DEVICE ID] [INSRANCE ID]"
	echo "Example:$0 1 1 0"
	echo "Description: This script download and run elf file"
	echo "To see more information, please type 'niosv-download --help' and 'juart-terminal.exe --help'"
	echo "------"
}

###main####
if [ ! $# -eq 3 ]
then
	print_help
	exit
fi

echo "=================== jtagconfig ==================="
jtagconfig.exe --setparam $1 JtagClock 16M
jtagconfig.exe --debug

echo "=================== download and run .elf file ==================="
niosv-download.exe -g -r fm86_fpga_niosv.elf

echo "=================== connect to the board through jtag uart ==================="
juart-terminal.exe -c $1 -d $2 -i "$3" |tee output.log
